uniform		sampler2D	tex0;
uniform		sampler2D	tex1;
uniform		sampler2D	tex2;

uniform		mediump vec3	lightDirMS;
uniform		lowp	vec3	lightDiffuse;
uniform		lowp	vec3	lightSpecular;
uniform		mediump float	materialShininess;

varying		highp    vec2	uv0Var;
varying		highp    vec2	uv1Var;
varying		mediump  vec3	halfVecMSVar;
varying		lowp	float	reflDownAmmount;
varying		lowp	vec3	pointDiffuse;
varying		lowp	float	pointSpecular;

const lowp vec3	Brown = vec3(0.353, 0.266, 0.192);

void main()
{
	lowp  vec3 c0		 = texture2D(tex0, uv0Var).rgb;
	lowp  vec3 c1		 = mix(texture2D(tex1, uv1Var).rgb, Brown, reflDownAmmount);
	mediump vec3 normal	 = texture2D(tex2, uv0Var).xyz * 2.0 - 1.0;
	mediump vec3 halfVecMS = normalize(halfVecMSVar);
	
	lowp  float ndotL 			= max(dot(normal, lightDirMS), 0.0) * 0.7 + 0.3;
	lowp  float specular 		= pow(max(dot(normal, halfVecMS), 0.0), materialShininess);
	lowp  vec3  ambient_diffuse = ndotL * lightDiffuse + pointDiffuse;
	
	gl_FragColor = vec4(mix(c0, c1, 0.2) * ambient_diffuse + (specular * lightSpecular + pointSpecular), 1.0);
}
