uniform		sampler2D		tex0;

varying		mediump vec2	uv0Var;
varying		mediump vec2	uv1Var;
varying		mediump vec2	uv2Var;
varying		mediump vec2	uv3Var;
varying		mediump vec2	uv4Var;

void main()
{
    lowp vec4 c0 = texture2D(tex0, uv0Var);
	lowp vec4 c1 = texture2D(tex0, uv1Var) + texture2D(tex0, uv2Var);
    lowp vec4 c2 = texture2D(tex0, uv3Var) + texture2D(tex0, uv4Var);
    lowp float edge1 = clamp(c0.a * -2.0 + c1.a, 0.0, 1.0);
    lowp float edge2 = clamp(c0.a * -2.0 + c2.a, 0.0, 1.0);
    lowp float edge0 = clamp(edge1 + edge2, 0.0, 1.0);
    c2 = c0 * 0.2 + (c1 * 0.2 + (c2 * 0.2));
    gl_FragColor = mix(c2, c0, edge0);
}
