uniform highp sampler2D tex0;   //cascade shadow map

uniform highp vec3 lightSplitsNear;
uniform highp vec3 lightSplitsFar;

varying highp vec3 shadowCoord[3];

const highp vec2 M1 = vec2(0.000001, 0.0);

void main()
{
    highp vec3 z 		= vec3(gl_FragCoord.z);
    highp vec3 near     = vec3(greaterThanEqual(z, lightSplitsNear));
    highp vec3 far      = vec3(lessThan(z, lightSplitsFar));
    highp vec3 weights  = near * far;
    
    highp vec3 coord =  shadowCoord[0] * weights.x +
                        shadowCoord[1] * weights.y +
                        shadowCoord[2] * weights.z;
                        
    //highp vec4 color =  vec4(1.0, 0.0, 0.0, 1.0) * weights.x +
    //                    vec4(0.0, 1.0, 0.0, 1.0) * weights.y +
    //                    vec4(0.0, 0.0, 1.0, 1.0) * weights.z;
    
    highp vec2 var = texture2D(tex0, coord.xy).xy;
    var = vec2(var.x * -var.x + var.y, coord.z - var.x);
    var = max(var, M1);
    var.y = var.y * var.y + var.x;
    var.x = var.x / var.y;
    var.x = pow(var.x, 8.0);
    
    gl_FragColor = vec4(var.x * 0.5 + 0.5);// * color;
}
