attribute	highp	vec4	vertex_pos;
attribute	lowp	vec4	vertex_color;
attribute	highp 	vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform		highp	vec3	eyePosMS;

uniform		highp	vec3	sunDir;

const		highp	float	cloudsAlphaRDiff = -1.0 / 5000.0;
const		highp	float	cloudsAlphaEnd = 40000.0 / 5000.0;

varying		highp	 vec2	uv0Var;
varying		lowp	 vec4	colorVar;

void main()
{
	highp vec3  eyeDirMS = vertex_pos.xyz - eyePosMS;
	highp float eyeDist = length(eyeDirMS);
	eyeDirMS = normalize(eyeDirMS);
	
	lowp float specular	= pow(max(dot(sunDir, eyeDirMS), 0.0), 32.0) * 0.5 + 1.0;
	lowp float alpha	= clamp(eyeDist * cloudsAlphaRDiff + cloudsAlphaEnd, 0.0, 1.0);
	
	uv0Var = vertex_uv0;
	colorVar = vertex_color * alpha;
	colorVar.rgb *= specular;
	
	gl_Position = pvwMat * vertex_pos;
}