attribute	highp	vec4	vertex_pos;
attribute	mediump vec3	vertex_normal;
attribute	highp   vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform		highp	vec3	eyePosMS;
uniform     lowp    vec4    globalColor;
uniform		lowp	vec3	lightDirMS;
uniform		lowp	vec3	lightAmbient;
uniform		lowp	vec3	lightDiffuse;
uniform		lowp	vec3	lightSpecular;
uniform		mediump float	materialShininess;

varying		highp   vec2	uv0Var;
varying		lowp	vec3	ambientDiffuseSpecularVar;

void main()
{
	highp vec3 eyeDirMS         = normalize(eyePosMS - vertex_pos.xyz);
	highp vec3 halfVecMS        = normalize(lightDirMS + eyeDirMS);
	uv0Var                      = vertex_uv0;
	ambientDiffuseSpecularVar   = pow(max(0.0, dot(vertex_normal, halfVecMS)), materialShininess) * lightSpecular*0.5 + globalColor.rgb;

	gl_Position                 = pvwMat * vertex_pos;
}
