uniform		sampler2D		tex0;   //screen
uniform     sampler2D       tex1;   //god rays mask
uniform     mediump   vec3  param1; //god rays color

varying		mediump   vec2	uvDeltaVar;
varying		mediump   vec2	uvVar;

const mediump vec3 luma = vec3(0.299, 0.587, 0.114);
    
void main()
{   
	mediump float len = dot(uvDeltaVar, uvDeltaVar);
    mediump float decay = 0.025 / (len + 0.0025) + (len * -1.5 + 2.0);
    mediump vec4 c1 = texture2D(tex1, uvVar);
    c1.xy += c1.zw;
    
    mediump float val = c1.x + c1.y;
    val = val * -0.25 + 1.0;
    val = val * val * decay;
    
    mediump vec4 color = texture2D(tex0, uvVar);
    mediump float mask = max(dot(color.rgb, luma) * 10.0 - 9.0, 0.0) * color.a;
    
    gl_FragColor.rgb = param1 * val + mask;
}