uniform		sampler2D	tex0;	//screen
uniform     sampler2D   tex1;   //post process
uniform		sampler2D	tex2;	//texture
uniform		sampler2D	tex3;	//haze bump

uniform		lowp float ammount;

varying		highp vec2	uv0Var;
varying		highp vec2	uv2Var;
varying		highp vec4	screenInfo;

void main()
{
    highp vec3 scr = screenInfo.xyz / screenInfo.w;
	highp vec2 bump	= texture2D(tex3, uv2Var).xy * 0.012 - 0.006 + scr.xy;
    
    lowp vec3 c0 = texture2D(tex0, bump).rgb;
    lowp vec3 c1 = texture2D(tex1, bump).rgb;
    c0 = c0 - c0 * c1 + c1;
    
    lowp float alphaScr = min(3.0 * scr.z, 1.0);
	lowp float alpha = texture2D(tex2, uv0Var).a * alphaScr * ammount;
	
	gl_FragColor = vec4(c0 * alpha, alpha);
}