uniform		sampler2D	tex0;
uniform		sampler2D	tex1;
uniform		sampler2D	tex2;

varying		highp vec2	uv0Var;
uniform		highp vec2	lavaOffset;

void main()
{
	highp vec2 t0 = uv0Var * 8.0;
	highp vec2 t1 = uv0Var * 8.0;
	highp vec2 t2 = uv0Var;
	
	t0.y = t0.y + lavaOffset.x;
	t1.y = t1.y + lavaOffset.y;
	
	highp vec4 c0 = texture2D(tex0, t0);
	highp vec4 c1 = texture2D(tex1, t1);
	highp vec4 c2 = texture2D(tex2, t2);
	
	gl_FragColor = mix(c1, c0, c2);
}
