attribute	highp	vec4	vertex_pos;
attribute	highp   vec3	vertex_normal;
attribute	highp   vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform		highp	vec3	eyePosMS;
uniform		lowp	vec3	lightDirMS;
uniform		lowp	vec3	lightAmbient;
uniform		lowp	vec3	lightDiffuse;
uniform		lowp	vec3	lightSpecular;
uniform		mediump float	materialShininess;
uniform     highp   vec2    uv1Repeat;
uniform     highp   float   normalOffset;
uniform     highp   vec3    gravityMS;

varying		highp   vec2	uv0Var;
varying		highp   vec2	uv1Var;
varying		lowp	vec3	ambientDiffuseVar;
varying		lowp	vec3	specularVar;

uniform     lowp vec4   globalColor;

void main()
{
    highp vec4 vPos = vertex_pos;
    vPos.xyz += (vertex_normal + gravityMS) * normalOffset;
    
	highp vec3 eyeDirMS	 = normalize(eyePosMS - vPos.xyz);
	highp vec3 halfVecMS = normalize(lightDirMS + eyeDirMS);
	
	uv0Var				= vertex_uv0;
    uv1Var              = (vertex_uv0 * 2.0 - 1.0) * uv1Repeat;
	ambientDiffuseVar	= max(0.3, dot(vertex_normal, lightDirMS)) * lightDiffuse + lightAmbient;
	specularVar			= pow(max(0.0, dot(vertex_normal, halfVecMS)), materialShininess) * lightSpecular * 0.1;

	gl_Position = pvwMat * vPos;
}
