attribute	highp	vec4	vertex_pos;

uniform		highp	mat4	pvwMat;
uniform		highp	vec3	bumpOffset;

uniform		highp	vec3	eyePos;

varying		highp	vec2	tex0Var;
varying		highp	vec2	tex1Var;
varying		mediump	vec3	halfVecVar;

const		highp	float	zFar		= 50000.0 * 1.1;
const		highp	float	bumpScale	= 8.0 / zFar;

uniform		highp	vec3	sunDir;

void main()
{
	highp vec3 eyeDirMS;
	eyeDirMS.xz = -vertex_pos.xz;
	eyeDirMS.y = eyePos.y;
	halfVecVar = normalize(eyeDirMS) + sunDir;
	
	highp vec2 bump	= vertex_pos.zx * bumpScale + bumpOffset.xy;
	tex0Var = bump*2.0 + bumpOffset.z;
	tex1Var = bump*6.0 - bumpOffset.z;
	
	gl_Position = pvwMat * vertex_pos;
}
