attribute	highp	vec4	vertex_pos;

uniform		highp	mat4	pvwMat;
uniform		highp	vec3	bumpOffset;

uniform		highp	vec3	eyePos;
uniform     highp   vec4    screenOffset;

varying		highp	vec2	tex0Var;
varying		highp	vec2	tex1Var;
varying		highp	vec3	eyeDirMSVar;
varying     highp   vec3    screenInfo;

const		highp	float	zFar		= 50000.0 * 1.1;
const		highp	float	bumpScale	= 8.0 / zFar;

void main()
{
	eyeDirMSVar.xz = -vertex_pos.xz;
	eyeDirMSVar.y = eyePos.y;
	
	highp vec2 bump	= vertex_pos.zx * bumpScale + bumpOffset.xy;
	tex0Var = bump + bumpOffset.z;
	tex1Var = bump*3.0 - bumpOffset.z;
	
	gl_Position = pvwMat * vertex_pos;
    screenInfo	= vec3((gl_Position.xy + gl_Position.w) * 0.5 * screenOffset.zw, gl_Position.w);
}
