uniform		sampler2D	tex0;	//screen
uniform		sampler2D	tex1;	//rain bump

varying		highp vec2	uv0Var;
varying		highp vec3	screenInfo;
varying		lowp  float alphaVar;

void main()
{
	highp vec3 bump= texture2D(tex1, uv0Var).xyz;
    highp vec2 scr = screenInfo.xy / screenInfo.z;
    
	lowp vec3 color = texture2D(tex0, scr + bump.xy - 0.5).rgb;
    lowp float alpha = bump.z * alphaVar;
	gl_FragColor = vec4(color * alpha, alpha);
}
