uniform samplerCube   tex0;
uniform highp   vec3  lightDirMS;

varying highp   vec3 v3Direction;
varying highp   vec3 uv0Var;
varying mediump vec3 color0;
varying mediump vec3 color1;
varying mediump vec4 colorClouds;

const mediump float g  = -0.95;
const mediump float g2 = g * g;
const mediump float gA = (g2 * -1.5 + 1.5) / (2.0 + g2);
const mediump float gB = -2.0 * g;
const mediump float gC = 1.0 + g2;

const mediump vec2 v1gC      = vec2(1.0, gC);
const mediump vec2 PhaseMult = vec2(0.75, gA);

void main (void)
{
	mediump vec2 fCos_gB      = vec2(dot(lightDirMS, normalize(v3Direction)), gB);
	mediump vec2 fCos21_Mie   = fCos_gB * fCos_gB.x + v1gC;
	mediump vec2 fRayMiePhase = PhaseMult * fCos21_Mie.x;
	fRayMiePhase.y *= pow(fCos21_Mie.y, -1.5);
    
    mediump vec3 sky = textureCube(tex0, uv0Var).rgb;
    mediump vec3 color = min(colorClouds.rgb * sky.r, 1.0) * sky.g;
    fRayMiePhase.y *= 1.0 - sky.g;
    mediump vec3 c0 = 1.0 - exp(fRayMiePhase.x * color0 + fRayMiePhase.y * color1);
	gl_FragColor = vec4(c0 - c0 * color + color + (sky.b * colorClouds.a), step(0.06, sky.g));
}
