uniform		sampler2D	tex0;

uniform		mediump vec3	lightDirMS;
uniform		lowp	vec3	lightAmbient;
uniform		lowp	vec3	lightDiffuse;
uniform		lowp	vec3	lightSpecular;
uniform		mediump float	materialShininess;

varying		highp    vec2	uv0Var;
varying		mediump  vec3	normalVar;
varying		mediump  vec3	halfVecMSVar;

void main()
{
	lowp  vec4 c0		 = texture2D(tex0, uv0Var);
    mediump vec3 normal	 = normalize(normalVar);
	mediump vec3 halfVecMS = normalize(halfVecMSVar);
	
	lowp  float ndotL 			= max(dot(normal, lightDirMS), 0.3);
	lowp  float specular 		= pow(max(dot(normal, halfVecMS), 0.0), materialShininess);
	lowp  vec3  ambient_diffuse = ndotL * lightDiffuse + lightAmbient;
	
	gl_FragColor = vec4(c0.rgb * ambient_diffuse + specular * lightSpecular, c0.a);
}