attribute	highp	vec4	vertex_pos;
attribute	highp	vec3	vertex_normal;
attribute	highp   vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform		highp	mat3	worldMat;
uniform		highp	vec3	eyePosMS;
uniform		mediump vec3	lightDirMS;

varying		highp    vec2	uv0Var;
varying		highp    vec2	uv1Var;
varying		mediump  vec3	halfVecMSVar;
varying		lowp	float	reflDownAmmount;

const highp float OneOverPi = 0.318309886183791;

void main()
{
	uv0Var		= vertex_uv0;
	
	highp vec3 eyeDirMS = normalize(eyePosMS - vertex_pos.xyz);
	halfVecMSVar = eyeDirMS + lightDirMS;
	highp vec3 reflDirMS = worldMat * reflect(-eyeDirMS, vertex_normal);
	
	highp float d = clamp(acos(reflDirMS.y) * OneOverPi * 1.3, 0.0, 1.0);
	highp float a = atan(-reflDirMS.x, -reflDirMS.z);

	uv1Var.x = cos(a) * d * 0.5 + 0.5;
	uv1Var.y = sin(a) * d * 0.5 + 0.5;
	
	reflDownAmmount = clamp(100.0 * (1.0 - clamp((0.6 + reflDirMS.y) / 0.4 + 1.0, 0.0, 1.0)), 0.0, 1.0);
	
	gl_Position = pvwMat * vertex_pos;
}
