uniform		sampler2D	tex0;
uniform		sampler2D	tex1;

uniform		mediump vec3	lightDirMS;
uniform		lowp	vec3	lightAmbient;
uniform		lowp	vec3	lightDiffuse;
uniform		lowp	vec3	lightSpecular;
uniform		mediump float	materialShininess;

varying		highp    vec2	uv0Var;
varying		highp    vec2	uv1Var;
varying		mediump  vec3	normalVar;
varying		mediump  vec3	halfVecMSVar;
varying		lowp	float	reflDownAmmount;

const lowp vec3	Brown = vec3(0.353, 0.266, 0.192);

void main()
{
	lowp  vec4 c0		 = texture2D(tex0, uv0Var);
	lowp  vec3 c1		 = mix(texture2D(tex1, uv1Var).rgb, Brown, reflDownAmmount);
    mediump vec3 normal	 = normalize(normalVar);
	mediump vec3 halfVecMS = normalize(halfVecMSVar);
	
	lowp  float ndotL 			= max(dot(normal, lightDirMS), 0.3);
	lowp  float specular 		= pow(max(dot(normal, halfVecMS), 0.0), materialShininess);
	lowp  vec3  ambient_diffuse = ndotL * lightDiffuse + lightAmbient;
	
	gl_FragColor = vec4(mix(c0.rgb, c1, 0.2) * ambient_diffuse + specular * lightSpecular, c0.a);
}
