attribute	highp	vec4	vertex_pos;
attribute	mediump vec3	vertex_normal;
attribute	highp   vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform		highp	vec3	eyePosMS;
uniform		lowp	vec3	lightDirMS;
uniform		lowp	vec3	lightAmbient;
uniform		lowp	vec3	lightDiffuse;
uniform		lowp	vec3	lightSpecular;
uniform		mediump float	materialShininess;

varying		highp   vec2	uv0Var;
varying		lowp	vec3	ambientDiffuseVar;
varying		lowp	vec3	specularVar;

void main()
{
	highp vec3 eyeDirMS	 = normalize(eyePosMS - vertex_pos.xyz);
	highp vec3 halfVecMS = normalize(lightDirMS + eyeDirMS);
	
	uv0Var				= vertex_uv0;
	ambientDiffuseVar	= max(0.3, dot(vertex_normal, lightDirMS)) * lightDiffuse + lightAmbient;
	specularVar			= pow(max(0.0, dot(vertex_normal, halfVecMS)), materialShininess) * lightSpecular;

	gl_Position = pvwMat * vertex_pos;
}
