attribute	highp	vec4	vertex_pos;
attribute	mediump vec3	vertex_normal;
attribute	highp   vec2	vertex_uv0;

uniform		highp	mat4	pvwMat;
uniform		highp	vec3	eyePosMS;
uniform		lowp	vec3	lightDirMS;
uniform		lowp	vec3	lightAmbient;
uniform		lowp	vec3	lightDiffuse;
uniform		lowp	vec3	lightSpecular;
uniform		mediump float	materialShininess;
uniform		highp	float	fogStart;
uniform		highp	float	fogInvEndStartDiff; //1 / (fogEnd - fogStart)

varying		highp   vec2	uv0Var;
varying		lowp	vec3	ambientDiffuseVar;
varying		lowp	vec3	specularVar;
varying		lowp	float	fogDensityVar;

void main()
{
	highp vec3  eyeDirMS  = eyePosMS - vertex_pos.xyz;
	highp float eyeDist   = length(eyeDirMS);
	eyeDirMS /= eyeDist;
	
	highp vec3  halfVecMS = normalize(lightDirMS + eyeDirMS);
	
	uv0Var				= vertex_uv0;
	ambientDiffuseVar	= max(0.3, dot(vertex_normal, lightDirMS)) * lightDiffuse + lightAmbient;
	specularVar			= pow(max(0.0, dot(vertex_normal, halfVecMS)), materialShininess) * lightSpecular;
	fogDensityVar		= clamp((eyeDist - fogStart) * fogInvEndStartDiff, 0.0, 1.0);
	
	gl_Position = pvwMat * vertex_pos;
}
