uniform		sampler2D	tex0;
uniform		sampler2D	tex1;

varying		highp   vec2	uv0Var;
varying		highp   vec2	uv1Var;
varying		lowp	vec3	ambientDiffuseVar;
varying		lowp	vec3	specularVar;
varying		lowp	float	reflDownAmmount;

const lowp vec3	Brown = vec3(0.353, 0.266, 0.192);

void main()
{
	lowp vec4 c0 = texture2D(tex0, uv0Var);
	lowp vec3 c1 = mix(texture2D(tex1, uv1Var).rgb, Brown, reflDownAmmount);
	gl_FragColor = vec4(mix(c0.rgb, c1, 0.2) * ambientDiffuseVar + specularVar, c0.a);
}
