attribute	highp vec4	vertex_pos;
attribute	highp vec2	vertex_uv0;

uniform		highp mat4	pvwMat;
uniform		highp vec3	eyePosMS;
uniform		highp float fogStart;
uniform		highp float fogInvEndStartDiff; //1 / (fogEnd - fogStart)

varying		highp vec2	uv0Var;
varying		lowp  float	fogDensityVar;

void main()
{
	highp float eyeDist = length(eyePosMS - vertex_pos.xyz);
	uv0Var = vertex_uv0;
	fogDensityVar = clamp((eyeDist - fogStart) * fogInvEndStartDiff, 0.0, 1.0);
	gl_Position = pvwMat * vertex_pos;
}