uniform		sampler2D	tex0;
uniform		sampler2D	tex2;

uniform		mediump vec3	lightDirMS;
uniform		lowp	vec3	lightAmbient;
uniform		lowp	vec3	lightDiffuse;
uniform		lowp	vec3	lightSpecular;
uniform		mediump float	materialShininess;

varying		highp    vec2	uv0Var;
varying		mediump  vec3	halfVecMSVar;

void main()
{
	lowp  vec3 c0		 = texture2D(tex0, uv0Var).rgb;
    mediump vec3 normal	 = texture2D(tex2, uv0Var).xyz * 2.0 - 1.0;
	mediump vec3 halfVecMS = normalize(halfVecMSVar);
	
	lowp  float ndotL 			= max(dot(normal, lightDirMS), 0.3);
	lowp  float specular 		= pow(max(dot(normal, halfVecMS), 0.0), materialShininess);
	lowp  vec3  ambient_diffuse = ndotL * lightDiffuse + lightAmbient;
	
	gl_FragColor = vec4(c0 * ambient_diffuse + specular * lightSpecular, 1.0);
}