uniform		sampler2D	tex0;	//terrain texture
uniform		sampler2D	tex1;	//detail texture

varying		highp   vec2	uv0Var;
varying		highp	vec2	uv1Var;

varying		lowp	vec3	extinction;
varying		lowp	vec3	inscatter;
varying     lowp   float    height;

void main()
{
	lowp vec3 c0 = texture2D(tex0, uv0Var).rgb;
	lowp vec3 c1 = texture2D(tex1, uv1Var).rgb;
    lowp vec3 sum = c0 + c1;
    lowp vec3 mul = c0 * c1;
    c1 = mix(mul, sum - mul - 0.5, c0);
	gl_FragColor = vec4(c1 * extinction + inscatter, height);
}