uniform		sampler2D	tex0;	//terrain texture
uniform		sampler2D	tex1;	//detail texture

varying		highp   vec2	uv0Var;
varying		highp	vec2	uv1Var;

varying		mediump  vec3	extinction;
varying		mediump  vec3	inscatter;
varying		mediump  vec2	density;

void main()
{
    mediump vec3 scatter0 = inscatter * density.x + density.y;
	mediump vec3 scatter = (inscatter * inscatter) * scatter0;
    mediump vec3 c0 = texture2D(tex0, uv0Var).rgb;
    mediump vec3 c1 = texture2D(tex1, uv1Var).rgb;
    mediump vec3 sum = c0 + c1;
    mediump vec3 mul = c0 * c1;
    
    c1 = mix(mul, sum - mul - 0.5, c0);
    
    gl_FragColor = vec4(c1 * extinction + scatter, 1.0);
}