uniform		sampler2D	tex0;	//terrain texture
uniform		sampler2D	tex1;	//detail texture

varying		highp   vec2	uv0Var;
varying		highp	vec2	uv1Var;

varying		mediump  vec4	color0;
varying		mediump  vec3	color1;

void main()
{
	mediump vec3 scatter = color0.rgb * -color0.a + color0.a;
    mediump vec3 c0 = texture2D(tex0, uv0Var).rgb;
    mediump vec3 c1 = texture2D(tex1, uv1Var).rgb;
    mediump vec3 sum = c0 + c1;
    mediump vec3 mul = c0 * c1;
    
    c1 = mix(mul, sum - mul - 0.5, c0) * color1;
    
    gl_FragColor = vec4(c1 - c1 * scatter + scatter, 1.0);
}