uniform		sampler2D	tex0; //water texture
uniform		sampler2D	tex1; //color texture
//uniform		sampler2D	tex2; //reflection
//uniform		sampler2D	tex3; //shore mask

uniform     highp   vec4    screenOffset;

varying		highp	vec3    screenInfo;
varying		highp	vec2    alphaVar;

varying		mediump	vec3    extinction;
varying		mediump	vec3    inscatter;
varying		mediump	vec3	inscatter0;

void main()
{
    mediump vec4 color = texture2D(tex0, screenInfo.xy / screenInfo.z + screenOffset.xy) + texture2D(tex1, alphaVar);
    mediump vec3 scatter = (inscatter * inscatter) * inscatter0;
	gl_FragColor = vec4((color.rgb + (color.a - 1.0)) * extinction + scatter, 0.25);
}
