uniform		sampler2D	tex0; //water texture
uniform		sampler2D	tex1; //color texture
//uniform		sampler2D	tex2; //reflection
//uniform		sampler2D	tex3; //shore mask
uniform     sampler2D   tex2; //shadow map

uniform     highp   vec4    screenOffset;

varying		highp	vec3    screenInfo;
varying		highp	vec2    alphaVar;
varying		mediump	vec3    extinction;
varying		mediump	vec3    inscatter;
varying		mediump	vec3	inscatter0;

void main()
{
    highp vec2 scr = screenInfo.xy / screenInfo.z + screenOffset.xy;
    mediump vec4 color = texture2D(tex0, scr) + texture2D(tex1, alphaVar);
    mediump vec3 scatter = (inscatter * inscatter) * inscatter0;
	gl_FragColor = vec4((color.rgb * texture2D(tex2, scr).r + (color.a - 1.0)) * extinction + scatter, 0.25);
}
