uniform		sampler2D	tex0; //water texture
uniform		sampler2D	tex1; //color texture
//uniform		sampler2D	tex2; //reflection
//uniform		sampler2D	tex3; //shore mask
uniform     sampler2D   tex2; //shadow map

uniform     highp   vec4    screenOffset;

varying		highp	vec4	screenInfo;
varying		highp	vec2	alphaVar;
varying		highp	vec3	color0;
varying		highp	vec3	color1;

void main()
{
    highp vec2 scr = screenInfo.xy / screenInfo.z + screenOffset.xy;
    highp vec4 color = texture2D(tex0, scr + screenOffset.xy) + texture2D(tex1, alphaVar);
    highp vec3 c1 = (color.rgb + (color.a - 1.0)) * color1 * texture2D(tex2, scr).r;
	gl_FragColor = vec4(color0 - color0 * c1 + c1, screenInfo.w);
}
